# RubyEncoder v2.7 loader
_v = RUBY_VERSION.scan(/^\d+\.\d+\.\d+/)[0].delete('.')
_v = '' if _v.to_i < 190
if Sketchup.version.to_i == 22 && RUBY_PLATFORM.include?("arm64-darwin")
  $LOADED_FEATURES.reject! { |p| p.start_with?("rgloader27.darwin") }
  require_relative "arm64-darwin/rgloader27.darwin"
else
  if Sketchup.platform == :platform_win && Sketchup.version.to_i >= 21
    _p = ["x64", "mingw"]
  else
    _p = RUBY_PLATFORM.scan(/([A-Za-z0-9_]+)-([A-Za-z_]+)/)[0]
  end
  _d = __dir__
  [_v + '.' + _p[1] + '.' + _p[0], _v + '.' + _p[1], _v[0..1] + '.' + _p[1] + '.' + _p[0], _v[0..1] + '.' + _p[1]].each do |f|
    f = _d + '/rgloader' + f
    $LOADED_FEATURES.reject! { |p| p.start_with?(f) }
    begin
      require f and break
    rescue LoadError
    end
  end
end

unless defined?(RGLoader)
  raise(LoadError, "请联系云中库客服")
end

CloudRGLoader = RGLoader

module Kernel
  alias CloudRGLoader_load RGLoader_load
end